<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/layoutMargin">

        <TextView
            android:text="@string/settings_apiurl"
            android:textAppearance="?android:attr/textAppearanceSmall"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/labelAPIURL" />
        <EditText
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/editapiURL"
            android:inputType="textUri" />

        <TextView
            android:text="@string/settings_stalist"
            android:textAppearance="?android:attr/textAppearanceSmall"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/labelStaList" />
        <androidx.appcompat.widget.AppCompatEditText
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/editList" />
        <Button
            android:text="@string/settings_update"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/buttonRefreshList" />

        <TextView
            android:text="@string/settings_appwidget_stalist"
            android:textAppearance="?android:attr/textAppearanceSmall"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/labelAppwidgetStaList" />
        <androidx.appcompat.widget.AppCompatEditText
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/editAppwidgetList" />
        <Button
            android:text="@string/settings_update"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/buttonAppwidgetRefreshList" />

        <Button
            android:text="@string/settings_save"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/buttonSaveapiURL" />
    </LinearLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>